package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallGoodsPostFee;

/**
 * 商品邮费Service接口
 * 
 * @author chang
 * @date 2021-11-25
 */
public interface IMallGoodsPostFeeService 
{
    /**
     * 查询商品邮费
     * 
     * @param id 商品邮费主键
     * @return 商品邮费
     */
    public MallGoodsPostFee selectMallGoodsPostFeeById(Long id);

    /**
     * 查询商品邮费列表
     * 
     * @param mallGoodsPostFee 商品邮费
     * @return 商品邮费集合
     */
    public List<MallGoodsPostFee> selectMallGoodsPostFeeList(MallGoodsPostFee mallGoodsPostFee);

    /**
     * 新增商品邮费
     * 
     * @param mallGoodsPostFee 商品邮费
     * @return 结果
     */
    public int insertMallGoodsPostFee(MallGoodsPostFee mallGoodsPostFee);

    /**
     * 修改商品邮费
     * 
     * @param mallGoodsPostFee 商品邮费
     * @return 结果
     */
    public int updateMallGoodsPostFee(MallGoodsPostFee mallGoodsPostFee);

    /**
     * 批量删除商品邮费
     * 
     * @param ids 需要删除的商品邮费主键集合
     * @return 结果
     */
    public int deleteMallGoodsPostFeeByIds(Long[] ids);

    /**
     * 删除商品邮费信息
     * 
     * @param id 商品邮费主键
     * @return 结果
     */
    public int deleteMallGoodsPostFeeById(Long id);
}
